
const label = '描述表单';
const name = 'descriptionSelf';
let i = 1;
const uniqueId = () => `descriptionSelf-box-${i++}`;

export const descriptionSelf = {
	// 插入菜单位置
	menu: 'aide',
	// 图标
	icon: 'fc-icon-code ',
	// 名称
	label: label,
	// id，唯一!
	name: name,
	// 是否可以操作
	mask: true,
	// 定义组件的事件
	event: [
	],
	// 定义组件的渲染规则s
	rule() {
		return {
			type: name,
			field: uniqueId(),
			title: label,
			info: '',
			effect: {
				fetch: '',
			},
			props: {
				dataList: [],
				title: "",
			},
			direction: 'horizontal',
			columns: 3,
			minWidth: '',
		};
	},

	// 自定义组件的属性配置
	props() {
		return [
			{
				type: 'Struct',
				title: '描述列表',
				field: 'dataList',
				_fc_important_prop: true,
				props: {
					validate(val) {
						return !val || Array.isArray(val);
					}
				},
				value: []
			},
			{
				type: 'input',
				title: '标题',
				field: 'title',
			},
			{
				type: 'input',
				title: '格子最小宽度',
				field: 'minWidth',
			},
			{
				type: 'inputNumber',
				title: '列数量',
				field: 'columns',
				value: 3,
				props: { min: 0 }
			},
			{
				type: 'select',
				title: '布局模式',
				field: 'direction',
				options: [
					{ label: '垂直', value: 'vertical' },
					{ label: '水平', value: 'horizontal' },
				],
				value: "horizontal", // 默认值
			},
		];
	},
};
